Bug 19671 - Circulation wizard / issues_stats.pl does not populate itemtype descriptions correctly
Summary: Circulation wizard / issues_stats.pl does not populate itemtype descriptions ...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17835
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-21 14:01 UTC by Nick Clemens
Modified: 2018-05-02 06:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl (2.54 KB, patch)
2017-11-21 14:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl (2.85 KB, patch)
2017-12-20 16:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl (2.90 KB, patch)
2018-02-12 10:43 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl (2.95 KB, patch)
2018-02-13 07:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-11-21 14:01:18 UTC
To recreate:
1 - Run the circulation wizard with itemtypes as columns, shelving locations as rows - display on screen
2 - Note all itemtype values are blank
3 - Switch rows/columns - same issue
Comment 1 Nick Clemens 2017-11-21 14:04:02 UTC
Created attachment 69247 [details] [review]
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl

To test:
1 - Run the circulation wizard with itemtypes as columns, shelving
locations as rows - display on screen
2 - Note all itemtype values are blank
3 - Switch rows/columns - same issue
4 - Apply patch
5 - Re-run reports
6 - Itemtypes should diplsay correctly
Comment 2 Claire Gravely 2017-11-22 08:37:14 UTC
Hullo,

I find that my itemtypes drop down list just shows blanks instead of the item types with patch applied. When I run the report I get a column for Books in the results but then a Blank column next to it.
Comment 3 Jonathan Druart 2017-12-20 16:02:52 UTC
I was going to submit the same patch, I am going to sign it off
Comment 4 Jonathan Druart 2017-12-20 16:15:02 UTC
No it's wrong, the form now contains an empty dropdown list.
Comment 5 Jonathan Druart 2017-12-20 16:19:02 UTC
Created attachment 69951 [details] [review]
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl

To test:
1 - Run the circulation wizard with itemtypes as columns, shelving
locations as rows - display on screen
2 - Note all itemtype values are blank
3 - Switch rows/columns - same issue
4 - Apply patch
5 - Re-run reports
6 - Itemtypes should display correctly
Comment 6 Chris Brown 2017-12-21 14:17:48 UTC
I have applied the patch (on Koha 17.05) and can confirm that item types are now displayed correctly in the report.
Comment 7 Claire Gravely 2018-02-12 10:43:25 UTC
Created attachment 71433 [details] [review]
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl

To test:
1 - Run the circulation wizard with itemtypes as columns, shelving
locations as rows - display on screen
2 - Note all itemtype values are blank
3 - Switch rows/columns - same issue
4 - Apply patch
5 - Re-run reports
6 - Itemtypes should display correctly

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 8 Katrin Fischer 2018-02-13 07:10:01 UTC
Created attachment 71535 [details] [review]
Bug 19671: Map itemtypes to hash for correct display in issues_stats.pl

To test:
1 - Run the circulation wizard with itemtypes as columns, shelving
locations as rows - display on screen
2 - Note all itemtype values are blank
3 - Switch rows/columns - same issue
4 - Apply patch
5 - Re-run reports
6 - Itemtypes should display correctly

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2018-02-13 16:00:31 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 10 Nick Clemens 2018-02-26 11:41:33 UTC
Awesome work all! Pushed to stable for 17.11.03
Comment 11 Fridolin SOMERS 2018-05-02 06:01:24 UTC
Pushed to 17.05.x for v17.05.12